Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class BusinessService

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.BusinessService

    public class BusinessService

extends Object

BusinessService represent a logical service classification.

Constructor Summary
`BusinessService()` Class constructor.

Method Summary
`void` | `addDescription(String value)` adds a new description to the set of descriptions.
`BindingTemplates` | `getBindingTemplates()` Get BindingTemplates
`String` | `getBusinessKey()` Get the current Business Key value
`CategoryBag` | `getCategoryBag()` Get the current Category Bag information
`Vector` | `getDescriptionVector()` Gets the set of descriptions.
`Name` | `getName()` Gets the name.
`String` | `getServiceKey()` Gets the current value of Service Key
`void` | `setBindingTemplates(BindingTemplates value)` Sets a new BindingTemplates
`void` | `setBusinessKey(String value)` Set a new Business Key value
`void` | `setCategoryBag(CategoryBag value)` Set new CategoryBag
`void` | `setDescriptionVector(Vector value)` Gets the set of descriptions.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(String value)` Sets the name string.
`void` | `setServiceKey(String value)` Set new Service Key value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessService

    public BusinessService()

  Class constructor.

Method Detail

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### setName

    public void setName(String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### getName

    public Name getName()

  Gets the name.

  Returns:
    the current name.

### getDescriptionVector

    public Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the set of descriptions.

### setDescriptionVector

    public void setDescriptionVector(Vector value)

  Gets the set of descriptions.

  Parameters:
    `value` - the new set of descriptions.

### addDescription

    public void addDescription(String value)

  adds a new description to the set of descriptions.

  Parameters:
    `value` - the new description.

### setBindingTemplates

    public void setBindingTemplates(BindingTemplates value)

  Sets a new BindingTemplates

  Parameters:
    `value` - New BindingTemplates structure.

### getBindingTemplates

    public BindingTemplates getBindingTemplates()

  Get BindingTemplates

  Returns:
    BindingTemplates

### setCategoryBag

    public void setCategoryBag(CategoryBag value)

  Set new CategoryBag

  Parameters:
    `value` - New CategoryBag

### getCategoryBag

    public CategoryBag getCategoryBag()

  Get the current Category Bag information

  Returns:
    The current CategoryBag

### setServiceKey

    public void setServiceKey(String value)

  Set new Service Key value

  Parameters:
    `value` - New Service Key value

### getServiceKey

    public String getServiceKey()

  Gets the current value of Service Key

  Returns:
    Value of Service Key

### setBusinessKey

    public void setBusinessKey(String value)

  Set a new Business Key value

  Parameters:
    `value` - New BusinessKey value

### getBusinessKey

    public String getBusinessKey()

  Get the current Business Key value

  Returns:
    Current Business Key value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD